PhoneNumberUtil.MatchType
Date: 2011-05-04

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.google.i18n.phonenumbers
Enum PhoneNumberUtil.MatchType

    java.lang.Object
      java.lang.Enum<PhoneNumberUtil.MatchType>
          com.google.i18n.phonenumbers.PhoneNumberUtil.MatchType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PhoneNumberUtil.MatchType>

Enclosing class:
  PhoneNumberUtil

    public static enum PhoneNumberUtil.MatchType

extends java.lang.Enum<PhoneNumberUtil.MatchType>

Types of phone number matches. See detailed description beside the isNumberMatch() method.

Enum Constant Summary
`EXACT_MATCH`
`NO_MATCH`
`NOT_A_NUMBER`
`NSN_MATCH`
`SHORT_NSN_MATCH`

Method Summary
`static PhoneNumberUtil.MatchType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PhoneNumberUtil.MatchType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOT_A_NUMBER

    public static final PhoneNumberUtil.MatchType NOT_A_NUMBER

### NO_MATCH

    public static final PhoneNumberUtil.MatchType NO_MATCH

### SHORT_NSN_MATCH

    public static final PhoneNumberUtil.MatchType SHORT_NSN_MATCH

### NSN_MATCH

    public static final PhoneNumberUtil.MatchType NSN_MATCH

### EXACT_MATCH

    public static final PhoneNumberUtil.MatchType EXACT_MATCH

Method Detail

### values

    public static PhoneNumberUtil.MatchType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PhoneNumberUtil.MatchType c : PhoneNumberUtil.MatchType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PhoneNumberUtil.MatchType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD